Bug 198273 - Formatting problems with DailySummary email
Summary: Formatting problems with DailySummary email
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike McCune
QA Contact: Preethi Thomas
URL:
Whiteboard:
Keywords:
: 199073 211843 (view as bug list)
Depends On:
Blocks: 166615
TreeView+ depends on / blocked
 
Reported: 2006-07-10 19:41 UTC by Mike McCune
Modified: 2018-10-19 21:15 UTC (History)
3 users (show)

Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 17:28:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike McCune 2006-07-10 19:41:02 UTC
1) Notice the no spaces:

Systems Not Checking In:
-------------------------
The following systems recently stopped checking in with Red Hat Network:

System Id      System Name    Last Checkin
1006479759dev44AS2006-07-08 18:10:00.0


2) Notice the perl url (this page is now in java):

Please note that inactive systems cannot receive any updates.

Follow this url to see the full list of inactive systems:
https://rhn.redhat.com/network/systems/system_list/inactive.pxt
Disabling this email:

..

Comment 1 Ken Ganong 2006-11-29 21:16:44 UTC
This was fixed as well as some other localization problems with the email as of
svn revision 104934

Comment 2 Ken Ganong 2006-12-05 14:54:34 UTC
Moving my bugs to ON_QA

Comment 3 Ken Ganong 2006-12-15 20:46:07 UTC
Reassigning a bunch of my bugs to mmccune so they aren't forgotten.

Comment 4 Mike McCune 2007-01-16 17:55:09 UTC
Sat version of this bug:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=198273

Comment 5 Mike McCune 2007-01-16 18:16:13 UTC
TESTPLAN:

1) Verify sendmail is running on scripts.back-webqa

2) Setup an account in rhn.webqa.redhat.com that has your email address
associated with the account.

3) Register a system in webqa to your account

4) Make sure the 'Include system in daily summary report calculations.' is
enabled in Systems -> Details -> Edit for the system you registered.

5) re-register that system to webdev or another environment.  Its important that
it doesn't check-in to webqa anymore.

6) wait one day, you should get an email stating the system isn't checking in.

7) Verify the format of the email is as follows, where the {} paramters are
filled out with your Org's information:

This is the RHN Status Report for your account {0}, as of {1}.

This email will be sent when any of the following apply to the specified systems:

1.  The system fails to check in with RHN within a 24-hour window.
2.  The system registers scheduled action activity.

{2}
{3}
Disabling this email:
----------------------

To learn how to disable this email for systems:

https://{4}/help/reference/s1-sm-your-rhn.html#S2-SM-YOUR-RHN-PREFS


Thank you for using Red Hat Network.
{5}
{6}

Comment 6 Mike McCune 2007-01-16 18:19:49 UTC
Testify testplan that roughly covers this:

http://testify.test.redhat.com/plancases.cgi?op=view&id=477

Comment 7 Brandon Perkins 2007-01-17 23:13:16 UTC
*** Bug 199073 has been marked as a duplicate of this bug. ***

Comment 8 Preethi Thomas 2007-01-18 19:57:23 UTC
Followed the steps in the test plan but did not receive any emails. Making it
FAILS_QA.

Comment 9 Preethi Thomas 2007-01-18 20:01:29 UTC
*** Bug 211843 has been marked as a duplicate of this bug. ***

Comment 11 Mike McCune 2007-02-22 20:37:25 UTC
Updates for testplan:

* Your email has to have @rhn.redhat.com associated with it instead of just
@redhat.com.  We have some filters in place to only allow webqa to send mail to
@rhn.redhat.com addresses

* if you want to make testing easier you can edit:

/etc/rhn/default/rhn_taskomatic.conf

# Once a day at 11:00 PM
taskomatic.com.redhat.rhn.task.SummaryPopulation.schedule = 0 0 23 ? * *
# Once a day at 5:00:00 AM
taskomatic.com.redhat.rhn.task.DailySummary.schedule = 0 0 5 ? * *

TO:

# middle of every minute
taskomatic.com.redhat.rhn.task.SummaryPopulation.schedule = 30 * * * * ?
taskomatic.com.redhat.rhn.task.DailySummary.schedule = 30 * * * * ?

this will allow it to run much more often and can be tested quicker.









Comment 12 Preethi Thomas 2007-02-26 13:25:07 UTC
verified. 2/26.

Comment 13 Preethi Thomas 2007-03-09 04:18:55 UTC
release pending

Comment 14 Brandon Perkins 2007-03-13 14:06:40 UTC
Closed in rhn500h Release.

Comment 15 Brandon Perkins 2007-03-13 17:28:04 UTC
Closed in rhn500h release.

Comment 17 Issue Tracker 2007-07-03 14:33:01 UTC
Hi,

As far as this issue is fixed I close this IT.

Thanks for your time,

Sebastien.

Internal Status set to 'Resolved'
Status set to: Closed by Tech
Resolution set to: 'RHN 5.0.0'

This event sent from IssueTracker by saime 
 issue 104483


Note You need to log in before you can comment on or make changes to this bug.